# Communications_Create

Create new record.

`POST /v1/companies/{company}/Communications`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Communications
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Communications/Communications_Create/

## Description

TTE configurations allow you to configure a combination of tax rates and rules to support what your business sells at each location where you collect and remit tax.
            
Communication records determine who to notifiy when new content is delivered via a job. Specify a unique name and ID for the Communication job, and associate that job with up to 5 email addresses (recipients).
            
Jobs allow you to configure company-specific TTE job settings.
            
Onboarding allows you to specify how complete your company setup is. For each onboarding ID, you can specify whether the following are complete:
* isPOSSetupDone
* isTTESetupDone
* isJobsSetupDone
* isCommunicationSetupDone

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | Company ID. |

## Request Body

**Content-Type:** `application/json`
**Schema:** `Avalara.POS.API.CFG.Model.CommunicationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `communicationName` | string | **Yes** | Communication name. Example: `SampleCommunication`. |
| `emailAddresses` | string | **Yes** | Email addresses (separated by semicolon). Example: `abc@xyz.com; def@zyx.com`. |

**Content-Type:** `text/json`
**Schema:** `Avalara.POS.API.CFG.Model.CommunicationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `communicationName` | string | **Yes** | Communication name. Example: `SampleCommunication`. |
| `emailAddresses` | string | **Yes** | Email addresses (separated by semicolon). Example: `abc@xyz.com; def@zyx.com`. |

**Content-Type:** `application/*+json`
**Schema:** `Avalara.POS.API.CFG.Model.CommunicationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `communicationName` | string | **Yes** | Communication name. Example: `SampleCommunication`. |
| `emailAddresses` | string | **Yes** | Email addresses (separated by semicolon). Example: `abc@xyz.com; def@zyx.com`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `Avalara.POS.API.CFG.Model.CommunicationModel` |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 409 | Conflict | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

### 200 Response: `Avalara.POS.API.CFG.Model.CommunicationModel`

| Property | Type | Required | Description |
|---|---|---|---|
| `companyId` | integer | **Yes** | AvaTax Company ID. |
| `accountId` | integer | No | AvaTax Account ID. |
| `createdBy` | integer | No | Created user ID. |
| `createdDate` | string | No | Created date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `modifiedBy` | integer | No | Last modifying user ID. |
| `modifiedDate` | string | No | Last modified date. Example: `2021-04-21T20:09:19.2207167Z.`. |
| `communicationId` | string | **Yes** | Communication ID. Example: `00000000-0000-0000-0000-000000000000`. |
| `communicationName` | string | **Yes** | Communication name. Example: `SampleCommunication`. |
| `emailAddresses` | string | **Yes** | Email addresses (separated by semicolon). Example: `abc@xyz.com; def@zyx.com`. |

## Example Request

```bash
curl -X POST "https://rest.avatax.com/api/v2/content/configuration/v1/companies/{company}/Communications" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "companyId": "",
  "accountId": "",
  "createdBy": "",
  "createdDate": "2021-04-21T20:09:19.2207167Z.",
  "modifiedBy": "",
  "modifiedDate": "2021-04-21T20:09:19.2207167Z.",
  "communicationId": "00000000-0000-0000-0000-000000000000",
  "communicationName": "SampleCommunication",
  "emailAddresses": "abc@xyz.com; def@zyx.com"
}'
```